import {BaseClass} from "./BaseClass";
/*
*  table设置
* */
export class TableOption extends BaseClass {
  constructor(extra={}) {
    super()
    // 是否显示序号
    this.index = true
    // 是否显示勾选框
    this.select = false
    // 默认排序
    this.defaultSort = {prop: 'createTime', order: 'desc'}
    // 配置是否显示网格
    this.border = false
    // 分页样式
    this.pageStyle = {
      layout: 'default',
      background: false
    }
    // 列信息
    this.tableLabel = []
    // 行尾操作
    this.tableOperate = false

    this.update(extra)

  }
};
